// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package eol

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	"xorm.io/core"
)

/******************************************************************************
 *
 * @Struct Name              : EOLTESTR1
 *-----------------------------------------------------------------------------
 *
 * @Description              : EOLTESTR1的实体映射
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
type EOLTESTR1 struct {
	BARCODE string `xorm:"varchar(50) 'BARCODE'" json:"EOL_TEST_R_1-BARCODE"`
	TYPE string `xorm:"varchar(50) 'TYPE'" json:"EOL_TEST_R_1-TYPE"`
	SBR_UNLOAD_L string `xorm:"varchar(50) 'SBR-UNLOAD-L'" json:"EOL_TEST_R_1-SBR-UNLOAD-L"`
	SBR_UNLOADRESULT_L string `xorm:"varchar(50) 'SBR-UNLOADRESULT-L'" json:"EOL_TEST_R_1-SBR-UNLOADRESULT-L"`
	SBR_8KGLOAD_L string `xorm:"varchar(50) 'SBR-8KGLOAD-L'" json:"EOL_TEST_R_1-SBR-8KGLOAD-L"`
	SBR_8KGLOADRESULT_L string `xorm:"varchar(50) 'SBR-8KGLOADRESULT-L'" json:"EOL_TEST_R_1-SBR-8KGLOADRESULT-L"`
	SBR_18KGLOAD_L string `xorm:"varchar(50) 'SBR-18KGLOAD-L'" json:"EOL_TEST_R_1-SBR-18KGLOAD-L"`
	SBR_18KGLOADRESULT_L string `xorm:"varchar(50) 'SBR-18KGLOADRESULT-L'" json:"EOL_TEST_R_1-SBR-18KGLOADRESULT-L"`
	SBR_UNLOAD_M string `xorm:"varchar(50) 'SBR-UNLOAD-M'" json:"EOL_TEST_R_1-SBR-UNLOAD-M"`
	SBR_UNLOADRESULT_M string `xorm:"varchar(50) 'SBR-UNLOADRESULT-M'" json:"EOL_TEST_R_1-SBR-UNLOADRESULT-M"`
	SBR_8KGLOAD_M string `xorm:"varchar(50) 'SBR-8KGLOAD-M'" json:"EOL_TEST_R_1-SBR-8KGLOAD-M"`
	SBR_8KGLOADRESULT_M string `xorm:"varchar(50) 'SBR-8KGLOADRESULT-M'" json:"EOL_TEST_R_1-SBR-8KGLOADRESULT-M"`
	SBR_18KGLOAD_M string `xorm:"varchar(50) 'SBR-18KGLOAD-M'" json:"EOL_TEST_R_1-SBR-18KGLOAD-M"`
	SBR_18KGLOADRESULT_M string `xorm:"varchar(50) 'SBR-18KGLOADRESULT-M'" json:"EOL_TEST_R_1-SBR-18KGLOADRESULT-M"`
	SBR_UNLOAD_R string `xorm:"varchar(50) 'SBR-UNLOAD-R'" json:"EOL_TEST_R_1-SBR-UNLOAD-R"`
	SBR_UNLOADRESULT_R string `xorm:"varchar(50) 'SBR-UNLOADRESULT-R'" json:"EOL_TEST_R_1-SBR-UNLOADRESULT-R"`
	SBR_8KGLOAD_R string `xorm:"varchar(50) 'SBR-8KGLOAD-R'" json:"EOL_TEST_R_1-SBR-8KGLOAD-R"`
	SBR_8KGLOADRESULT_R string `xorm:"varchar(50) 'SBR-8KGLOADRESULT-R'" json:"EOL_TEST_R_1-SBR-8KGLOADRESULT-R"`
	SBR_18KGLOAD_R string `xorm:"varchar(50) 'SBR-18KGLOAD-R'" json:"EOL_TEST_R_1-SBR-18KGLOAD-R"`
	SBR_18KGLOADRESULT_R string `xorm:"varchar(50) 'SBR-18KGLOADRESULT-R'" json:"EOL_TEST_R_1-SBR-18KGLOADRESULT-R"`
	HEAT_L_1 string `xorm:"varchar(50) 'HEAT-L-1'" json:"EOL_TEST_R_1-HEAT-L-1"`
	HEAT_R_1 string `xorm:"varchar(50) 'HEAT-R-1'" json:"EOL_TEST_R_1-HEAT-R-1"`
	HEAT_L_2 string `xorm:"varchar(50) 'HEAT-L-2'" json:"EOL_TEST_R_1-HEAT-L-2"`
	HEAT_R_2 string `xorm:"varchar(50) 'HEAT-R-2'" json:"EOL_TEST_R_1-HEAT-R-2"`
	TOTALRESULT string `xorm:"varchar(50) 'TOTALRESULT'" json:"EOL_TEST_R_1-TOTALRESULT"`
	CIRCLETIME string `xorm:"varchar(50) 'CIRCLETIME'" json:"EOL_TEST_R_1-CIRCLETIME"`
	DATE grmi.DateTime `xorm:"datetime 'DATE'" json:"EOL_TEST_R_1-DATE"`
}

/******************************************************************************
 *
 * @Function Name            : GetKey
 *-----------------------------------------------------------------------------
 *
 * @Description              : 获取实体的主键
 *
 * @Return Value             : 实体的主键
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-05-23 15:56:29
 *
 ******************************************************************************/
func (self *EOLTESTR1) GetKey() core.PK {
	return core.PK{  }
}